Bug 1471484 - Black screen using VNCServer and F26
Black screen using VNCServer and F26
Status: NEW
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 06:46 EDT by Charlie Mordant
Modified: 2018-05-03 04:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Mordant 2017-07-16 06:46:52 EDT
Description of problem:

Connecting to a VNC session to Fedora 26 leads to a black screen (worked with F25)

Version-Release number of selected component (if applicable):

26

How reproducible:

Always


Steps to Reproduce:

Configure a vncserver@\:X.service  in /etc/systemd/system:
[code]
[Unit]
Description=Remote desktop service (VNC)
After=syslog.target network.target

[Service]
Type=forking
User=charlie
Environment=XDG_SESSION_TYPE=x11

# Clean any existing files in /tmp/.X11-unix environment
ExecStartPre=-/usr/bin/vncserver -kill %i
ExecStart=-/usr/bin/vncserver %i
PIDFile=/home/charlie/.vnc/%H%i.pid
ExecStop=-/usr/bin/vncserver -kill %i

[Install]
WantedBy=multi-user.target
[/code]

Configure .vnc/config
[code]
geometry=2880x1800
depth=32
[/code]

Connect with a vnc client (in my case vncviewer from my mac)

Actual results:

Black screen but with the pointer

Expected results:

My Shiny new Fedora 26 desktop

Additional info:

* The systemd service does not work the first time, could it be fixed too?
* Does the X11 configuration line mandatory? It could be nice to use Wayland, but the 'known bugs' page said that remote handling is at 50%.
* Is there a better way to remote connect to Fedora? I'm kind of a linux noob and do not really understand all that x11-server, Vnc, Wayland, Etc. stuff...
Comment 1 Charlie Mordant 2017-07-16 06:49:32 EDT
When i said 'the first time' it means 'at boot', sry.
Comment 2 Dylan Myers 2017-12-14 09:56:02 EST
I'm experiencing this on F27 with TigerVNC Server and the TigerVNC VNC Server Module as well.
Comment 3 Fedora End Of Life 2018-05-03 04:09:42 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.